Endpoints
Audio Transcription
Transcribe audio files using Whisper-compatible models. Supports mp3, mp4, wav, webm, and other common formats.
Base URL & authentication
Base URL: https://api.openadapter.in
All requests need an Authorization: Bearer sk-cv-... header. Generate or copy your API key from the Dashboard → API Keys page.
Transcribe audio files using Whisper-compatible models. Supports mp3, mp4, wav, webm, and other common formats.
POST https://api.openadapter.in/v1/audio/transcriptionsQuick test: send a standard
multipart/form-dataupload. Telegram voice messages are usually.oggfiles and work withwhisper-large-v3-turbo,whisper-large-v3, orwhisper-1.
Quick test (Telegram .ogg)
curl https://api.openadapter.in/v1/audio/transcriptions \
-H "Authorization: Bearer $API_KEY" \
-F model="whisper-large-v3-turbo" \
-F response_format="verbose_json" \
-F file="@voice-message.ogg;type=audio/ogg"curl https://api.openadapter.in/v1/audio/transcriptions \
-H "Authorization: Bearer $API_KEY" \
-F model="whisper-large-v3" \
-F file="@recording.mp3"audio_file = open("recording.mp3", "rb")
transcript = client.audio.transcriptions.create(
model="whisper-large-v3",
file=audio_file
)
print(transcript.text)import fs from 'fs';
const transcript = await client.audio.transcriptions.create({
model: 'whisper-large-v3',
file: fs.createReadStream('recording.mp3'),
});
console.log(transcript.text);